#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.1
visibility:           public
id:                   ghcide-1.4.0.1-DM2bbRuSxePBXNMy140RZQ
key:                  ghcide-1.4.0.1-DM2bbRuSxePBXNMy140RZQ
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  9d79c0ef38a9047fc72ea744ccaab821
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.5/site-local/ghcide-1.4.0.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/ghcide-1.4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/ghcide-1.4.0.1
hs-libraries:         HSghcide-1.4.0.1-DM2bbRuSxePBXNMy140RZQ
depends:
    Diff-0.4.0-13VXofqCMLyHuBACVASIzF Glob-0.10.1-gI0TqQYBdz1nRgUrHQp2d
    aeson-1.5.6.0-6uunGgFAYkLL5zoDUTK2GY array-0.5.4.0
    async-2.2.3-HtWYxLW2ntnKBaQHYE7IJT base-4.14.2.0
    base16-bytestring-1.0.1.0-1hJhTC4ftcxEBVwj2vhRFK binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.1.0-D9tzCbWbRI5IxSY5n9xU86
    case-insensitive-1.2.1.0-JPdBXBeCcNF9RB4NR2tt4M containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-HA3MUFqd1UUI8eb8HGKp7P
    data-default-0.7.1.1-1PvF2urvLxF7Pa94frLNmw deepseq-1.4.4.0
    dependent-map-0.4.0.0-ETsRZ6XJfjGHai5HZeLGn2
    dependent-sum-0.7.1.0-9t4jdXkJAuV6dRmgJVp1MO directory-1.3.6.0
    dlist-1.0-6OiVjgKlCYDHGRjELdCTkR extra-1.7.9-6l5DzWC6gJ45BZUbsSD5mV
    filepath-1.4.2.1 fingertree-0.1.4.2-AmccQaGr7nu5BkutGe38Yh
    fuzzy-0.1.0.0-90YG5WS81oVFRUi1Y7Ymq9 ghc-8.10.5
    ghc-api-compat-8.6-3TY3o2v9hFDBa7VjHV0kS9 ghc-boot-8.10.5
    ghc-boot-th-8.10.5 ghc-check-0.5.0.5-7n4pmxMptJ2HdOUNyKz3ty
    ghc-exactprint-0.6.4-1ICrkMoFLbKFKilLbYoicd
    ghc-paths-0.1.0.12-2xWgOnBVsu4JfFnY8cTnGw
    ghc-trace-events-0.1.2.2-HKKNHycmX1BLp8J2VitI9Z
    haddock-library-1.10.0-3epItnzlyQKBuZaU79sbrc
    hashable-1.3.2.0-IDkVQhKLyXDF7itJntNZ2M
    heapsize-0.3.0.1-K0EYqUbFyuF37ufyXNe3SM
    hie-bios-0.7.5-4eRHLvs1AFaFGetyunvDF2
    hie-compat-0.2.0.0-2uJ4eLp19m9HNuq0NixVNO
    hiedb-0.3.0.1-Erv636t678dLgvevTDzk8w
    hls-graph-1.4.0.0-HhzytwNEBRB9Vcq1REgstU
    hls-plugin-api-1.1.0.2-3kA08zfkoJ93tQ43WlvAJ0
    hslogger-1.3.1.0-JJq8ZbgmQqy1x1DwsQpluT
    implicit-hie-cradle-0.3.0.3-F6PmgFHG1FJ3XM1aAWdlz9
    lens-5.0.1-35rFO49duny9UmEBJRCnDB
    lsp-1.2.0.0-6eAGlPh5W6dH5mIEpaAMKr
    lsp-types-1.2.0.0-It0slYT1Cr57i9oVdLKGll mtl-2.2.2
    network-uri-2.6.4.1-AJEy95J8Z3N4HoBtLbmjVO
    opentelemetry-0.7.0-88DTiz0L2LMKXylc8AKx9R
    optparse-applicative-0.16.1.0-I5IUJeu2M04AGs6xg5A1ij
    parallel-3.2.2.0-H513jAs1HA11zQonYV0DH5
    prettyprinter-1.7.0-2k3IpzNuta42oe8XIUM8Fs
    prettyprinter-ansi-terminal-1.1.2-Key1SSFz6eCKM9ni3T2IFJ
    regex-tdfa-1.3.1.1-GKHvEQcFLVkJ8X6kzhWyIo
    retrie-0.1.1.1-GQS2riAb7zPcT7KvsKUr0
    rope-utf16-splay-0.3.2.0-H9FJ0YWNyLk204FZMOmAex
    safe-0.3.19-DlKvqLTtraZKItu5PR3KBM
    safe-exceptions-0.1.7.1-3A6Iqvxv777I41uF17kkEm
    sorted-list-0.2.1.0-9nmT4tHEEdz1Ro1gJtKttX
    sqlite-simple-0.4.18.0-4tF3q3vESpS3qLm6suk4ul stm-2.5.0.1
    syb-0.7.2.1-HqEUbV3OUoiA5BHjjq4S7j text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.18-3mtepxd5bZsIcMv9oSQqyo
    unliftio-core-0.2.0.1-1ibY1oF6Hkc5ZYjZ4yW3Lp
    unordered-containers-0.2.14.0-1OFWlQlrCvvLaIazZ0Uw3i
    utf8-string-1.0.2-DMovLmOdbFr3ZT2kNNb9Du
    vector-0.12.3.0-EcRb4NXFUGH91vV3xG3jJs

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

